# List of remarks for the order

The endpoint shows the order history which is displayed in Shoptet
administration in the

“History” tab, in the order detail. Thus they are the most important
system actions that have affected the order (they cannot be

changed by the user) and then the notes added by the e-shop, primarily
intended as messages between several employees,

which may be needed to coordinate the order processing (these can be
entered and deleted by the user).

Endpoint: GET /api/orders/{code}/history
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `code` (string, required)
    Order code
    Example: "2018000067"

## Query parameters:

  - `system` (boolean)
    allows filtering only system/non-system remarks
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.orderHistory` (array, required)

  - `data.orderHistory.id` (integer, required)
    order history identifier

  - `data.orderHistory.creationTime` (string,null, required)
    Creation time of the order history record.

  - `data.orderHistory.text` (string, required)
    Transaction Id at payment gateway side: GHJ36

  - `data.orderHistory.user` (object,null, required)
    the user or system process that caused the change

  - `data.orderHistory.user.id` (string, required)
    identification of change originator, either user’s e-mail, or system process identifier

  - `data.orderHistory.user.name` (string, required)
    the user name or description of the system service that caused the change

  - `data.orderHistory.system` (boolean, required)
    flag, whether the remark is entered by Shoptet (system: true), by user, or by API (system: false)

  - `data.orderHistory.type` (string, required)
    Record type
    Enum: "comment", "system"

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


